[ubuntu/oneiric] opensaml2 2.4.1-1 (Accepted)

Andreas Moog andreas-launchpad at warperbbs.de
Thu Jul 7 23:58:18 UTC 2011


opensaml2 (2.4.1-1) unstable; urgency=low

  * New upstream release.
    - Don't download remote metadata if it hasn't changed
    - Verify that fetched metadata is valid, even after filters, before
      overwriting the previous metadata.  Improve metadata downloads.
    - Logging improvements for OpenSAML.MetadataProvider.XML
    - Add keywords/tags element to UIInfo extension and disco feed
    - Fix overuse of InclusivePrefixes list when signing
    - Do not use cacheDuration for validity
    - Fix memory leaks
    - Fix crash when encrypting unmarshalled object
    - Resolve sibling EncryptedKey element for decryption
    - Add xml prefix on newly-created xml:lang attributes
    - Duplication and line feed fixes for DiscoFeed.
    - Fix reload interval backoff after reload failures
    - Strip whitespace from SAMLRequest URL parameter values
  * Change package names for the upstream SONAME change.
  * Install the new upstream pkg-config file in libsaml2-dev.
  * Build-depend on xmltooling 1.4 or later.
  * Force build dependency on xml-security-c 1.6 or later for consistent
    build results.
  * Add build dependency on pkg-config, which upstream now uses to find
    the SSL libraries.
  * Add build dependency on graphviz for better API documentation.
  * Replace the version of jQuery installed by Doxygen in the
    documentation package with a symlink to the version supplied by the
    Debian package and add a dependency.
  * Update to debhelper compatibility level V8.
    - Use the autotools-dev debhelper module for config.{sub,guess}.
    - Use debhelper rule minimization.
  * Update debian/copyright to the current DEP-5 specification.
  * Change to Debian source format 3.0 (quilt).  Force a single Debian
    patch for simplicity since the packaging is maintained in Git using
    branches, and include a patch header explaining why.
  * Update standards version to 3.9.1 (no changes required).

Date: Thu,  07 Jul 2011 23:47:12 +0000
Changed-By: Andreas Moog <andreas-launchpad at warperbbs.de>
Maintainer: Debian Shib Team <pkg-shibboleth-devel at lists.alioth.debian.org>
Origin: Debian/unstable
https://launchpad.net/ubuntu/oneiric/+source/opensaml2/2.4.1-1
-------------- next part --------------
Origin: Debian/unstable
Format: 1.7
Date: Thu,  07 Jul 2011 23:47:12 +0000
Source: opensaml2
Binary: libsaml7, libsaml2-dev, opensaml2-tools, opensaml2-schemas, libsaml2-doc
Architecture: source
Version: 2.4.1-1
Distribution: oneiric
Urgency: low
Maintainer: Debian Shib Team <pkg-shibboleth-devel at lists.alioth.debian.org>
Changed-By: Andreas Moog <andreas-launchpad at warperbbs.de>
Files:
 dd5f8358666e7eb72e4db504d512a7e3 870509 libs extra opensaml2_2.4.1.orig.tar.gz
 ca32986123d4d82eaca505db46c815f7 1817 libs extra opensaml2_2.4.1-1.dsc
 f2384e8828d2baf6056f0cfd2d7be5ba 7890 libs extra opensaml2_2.4.1-1.debian.tar.gz
Changes:
 opensaml2 (2.4.1-1) unstable; urgency=low
 .
   * New upstream release.
     - Don't download remote metadata if it hasn't changed
     - Verify that fetched metadata is valid, even after filters, before
       overwriting the previous metadata.  Improve metadata downloads.
     - Logging improvements for OpenSAML.MetadataProvider.XML
     - Add keywords/tags element to UIInfo extension and disco feed
     - Fix overuse of InclusivePrefixes list when signing
     - Do not use cacheDuration for validity
     - Fix memory leaks
     - Fix crash when encrypting unmarshalled object
     - Resolve sibling EncryptedKey element for decryption
     - Add xml prefix on newly-created xml:lang attributes
     - Duplication and line feed fixes for DiscoFeed.
     - Fix reload interval backoff after reload failures
     - Strip whitespace from SAMLRequest URL parameter values
   * Change package names for the upstream SONAME change.
   * Install the new upstream pkg-config file in libsaml2-dev.
   * Build-depend on xmltooling 1.4 or later.
   * Force build dependency on xml-security-c 1.6 or later for consistent
     build results.
   * Add build dependency on pkg-config, which upstream now uses to find
     the SSL libraries.
   * Add build dependency on graphviz for better API documentation.
   * Replace the version of jQuery installed by Doxygen in the
     documentation package with a symlink to the version supplied by the
     Debian package and add a dependency.
   * Update to debhelper compatibility level V8.
     - Use the autotools-dev debhelper module for config.{sub,guess}.
     - Use debhelper rule minimization.
   * Update debian/copyright to the current DEP-5 specification.
   * Change to Debian source format 3.0 (quilt).  Force a single Debian
     patch for simplicity since the packaging is maintained in Git using
     branches, and include a patch header explaining why.
   * Update standards version to 3.9.1 (no changes required).



More information about the Oneiric-changes mailing list